from pydantic import BaseModel, PositiveInt, NegativeInt


class SuccessChatFromAiSchema(BaseModel):
    user_id: PositiveInt | None
    chat_id: NegativeInt | None
    reason: str | None


class ResponseFromGeminiSchema(BaseModel):
    success: list[SuccessChatFromAiSchema] | None
